> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shardcloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app metrics



## OpenAPI

````yaml /api-reference/openapi.json get /apps/{app_id}/metrics
openapi: 3.0.0
info:
  title: Cloud Website API
  description: API documentation for database and app management endpoints
  version: 1.0.0
servers:
  - url: https://shardcloud.app/api
    description: API base path
security: []
tags:
  - name: Databases
    description: Database management operations
  - name: Apps
    description: Application management operations
paths:
  /apps/{app_id}/metrics:
    get:
      tags:
        - Apps
      summary: Get app metrics
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: minutes
          in: query
          schema:
            type: string
          description: Number of minutes for metrics data
      responses:
        '200':
          description: App metrics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectInfo'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - JWTAuth: []
components:
  schemas:
    ProjectInfo:
      type: object
      properties:
        ram:
          type: array
          items:
            type: number
        vcpu:
          type: array
          items:
            type: number
        storage:
          type: integer
        network_receive:
          type: array
          items:
            type: number
        network_send:
          type: array
          items:
            type: number
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    JWTAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````